#!/bin/sh
#
# Install symbolic links for odtransform.
#
# Usage: installodtransform <target>
#
# target is the directory, where to install symbolic links to.
#

# This code is copied from maven's mvn startup script.
if [ -z "$ODTRANSFORM_HOME" ] ; then
  ## resolve links - $0 may be a link to odtransform's home
  PRG="$0"

  # need this for relative symlinks
  while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
      PRG="$link"
    else
      PRG="`dirname "$PRG"`/$link"
    fi
  done

  saveddir=`pwd`

  ODTRANSFORM_HOME=`dirname "$PRG"`/..

  # make it fully qualified
  ODTRANSFORM_HOME=`cd "$ODTRANSFORM_HOME" && pwd`

  cd "$saveddir"
fi

target=

if test $# -lt 1
then
    echo -n 'In which directory do you want to symlink the jdb2xml binaries [/usr/bin]: '
    target=`line`
fi

if test "$target" = ""
then
    target=/usr/bin
fi

if test ! -d $target
then
    echo "The specified target [$target] is not a directory."
    exit 1
fi

for alias in odtransform
do
     echo "creating symlink $target/$alias -> $ODTRANSFORM_HOME/bin/odtransform.sh"
     ln -sf $ODTRANSFORM_HOME/bin/odtransform.sh $target/$alias
done

# make it world-readable and executable
chmod -R ugo+r $ODTRANSFORM_HOME
chmod ugo+x $ODTRANSFORM_HOME $ODTRANSFORM_HOME/conf $ODTRANSFORM_HOME/bin $ODTRANSFORM_HOME/bin/*.sh $ODTRANSFORM_HOME/lib  
